package domain

type AlibabaHmMarketingItemdiscountRemoveitemCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步的渠道配置     */
	ChannelConfigList *[]AlibabaHmMarketingItemdiscountRemoveitemChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaHmMarketingItemdiscountRemoveitemCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingItemdiscountRemoveitemCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountRemoveitemCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingItemdiscountRemoveitemCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountRemoveitemCommonActivityParam) SetByChannel(v bool) *AlibabaHmMarketingItemdiscountRemoveitemCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountRemoveitemCommonActivityParam) SetChannelConfigList(v []AlibabaHmMarketingItemdiscountRemoveitemChannelConfig) *AlibabaHmMarketingItemdiscountRemoveitemCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
